Navigation

Inscrivez-vous gratuitement
pour pouvoir participer, suivre les réponses en temps réel, voter pour les messages, poser vos propres questions et recevoir la newsletter

Glassfish et Payara Java Discussion :

Problème lors du lancement de glassfish


Sujet :

Glassfish et Payara Java

  1. #1
    Membre à l'essai
    Problème lors du lancement de glassfish
    Bonjour tous le monde, j'ai téléchargé et installé tour à tour les versions 3.1.2, 4.0 et 4.1 de Glassfish, mais lorsque j'essai de lancer le serveur avec
    le domaine créer par défaut (domain1) j'ai la même erreure qui s'affiche, a savoir (en résumé parce que c'est trop long) :

    ERROR: Bundle jaxb-api [2] Error starting file:/C:/glassfish/glassfish/modules/endorsed/jaxb-api-osgi.jar (org.osgi.framework.BundleException: Unresolved constraint in bundle jaxb-api [2]: Unable to resolve 2.0: missing requirement [2.0] osgi.wiring.package; (osgi.wiring.package=javax.activation))
    ERROR: Bundle org.glassfish.metro.webservices-api-osgi [3] Error starting file:/C:/glassfish/glassfish/modules/endorsed/webservices-api-osgi.jar (org.osgi.framework.BundleException: Unresolved constraint in bundle org.glassfish.metro.webservices-api-osgi [3]: Unable to resolve 3.0: missing requirement [3.0] osgi.wiring.package; (&(osgi.wiring.package=javax.xml.bind)(version>=2.2.0)) [caused by: Unable to resolve 2.0: missing requirement [2.0] osgi.wiring.package; (osgi.wiring.package=javax.activation)])
    ERROR: Bundle org.glassfish.main.core.glassfish [159] Error starting file:/C:/glassfish/glassfish/modules/glassfish.jar (org.osgi.framework.BundleException: Activator start error in bundle org.glassfish.main.core.glassfish [159].)
    ERROR: Bundle org.glassfish.hk2.osgi-adapter [273] Error starting file:/C:/glassfish/glassfish/modules/osgi-adapter.jar (org.osgi.framework.BundleException: Unresolved constraint in bundle org.glassfish.hk2.osgi-adapter [273]: Unable to resolve 273.0: missing requirement [273.0] osgi.wiring.package; (&(osgi.wiring.package=com.sun.enterprise.module)(version>=1.1.0)) [caused by: Unable to resolve 181.0: missing requirement [181.0] osgi.wiring.package; (&(osgi.wiring.package=org.jvnet.hk2.config)(version>=1.1.0)) [caused by: Unable to resolve 55.0: missing requirement [55.0] osgi.wiring.package; (osgi.wiring.package=javax.management)]])

    No Glassfish Runtime Available, Error stopping framework:java.lang.NullPointerException
    Echec de la commande start-domain
    DAS arreté


    Voici ma config java : java version 1.8.0
    jave SE Runtime Environnement (build 1.8.0_51-b16)
    java Hotspot (TM) 64 bits server VM

    Quelqu'un aurait déjà rencontré se problème ou aurait une idée à me soumettre?
    Cordialement

  2. #2
    Expert éminent
    Salut,

    Peux-tu essayer avec un jdk 1.7 et voir ce que ça donne?
    Alea Jacta Test!

  3. #3
    Membre à l'essai
    Ca m'affiche les même erreurs je crois que glassfish n'est peut etre pas compatible avec windows 8